package main;

import model.Ocean;
import view.OceanGUI;
import controller.Controller;

/**
 * The main class regulates the whole project.
 */
public class Main {

	/**
	 * The main method creates a instance of an model
	 *
	 * @param args the command line arguments (unused in this project)
	 */
	public static void main(String[] args) {

		// Größe des Ozeans festlegen.
		int width = 1500;
		int depth = 600;

		Ocean model = new Ocean(width, depth);

		OceanGUI view = new OceanGUI("OceanLife2014", model);

		new Controller(model, view);

	}

}